﻿@model IEnumerable<shop.Models.Gallery>

@{
    ViewBag.Title = "گالری";
    Layout = "~/Areas/Admin/Views/Shared/_AdminLayout.cshtml";
}

    <div class="card">
        <div class="card-header bg-dark text-white">
            <div class="row">
                <div class="col-4 text-left mt-1">
                    تصاویر گالری محصول
                </div>
                <div class="col-8 text-right">
                  <a onclick='gallerymodal(@ViewBag.myid)' class="btn btn-success">افزودن تصویر</a> 
                </div>
            </div>
        </div>
        <div class="card-body">
            <table class="table table-hover">
                <tr>

                    <th>
                        @Html.DisplayNameFor(model => model.Img)
                    </th>
                    <th>عملیات</th>
                </tr>

                @foreach (var item in Model)
                {
                    <tr>

                        <td>
                            <img src="~/images/gallery/@item.Img" width="60" height="60" alt="تصویر گالری " />
                        </td>
                        <td>

                            @Html.ActionLink("حذف", "Delete", new { id = item.Id }, new { @class = "btn btn-outline-danger" })
                        </td>
                    </tr>
                }

            </table>
        </div>
    </div>

    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                   
                    
                </div>
                <div class="modal-body" id="bodymodal">
                 
                </div>
               
            </div>
        </div>
    </div>
@section scriptmodal{
    
    <script>
        function gallerymodal(id) {

            $.ajax({
                url: "/Admin/Galleries/Create/" + id,
                type: "Get",
                data: {},
            }).done(function (result) {
                $('#exampleModal').modal('show');
                $('#exampleModalHeader').html("ثبت تصویر");
                $('#bodymodal').html(result);
            });
        }
       
    </script>
    
    
    }